!ifndef INTERNATIONALIZATION
!define INTERNATIONALIZATION

; ===============
; Internationalization Function
;   written by hobbyscripter<hobbyscripter@gmail.com>
; ===============


; ===============
; Initialize the Locale Process File
; ===============
!tempfile DIALOG_LANG_LIST ; For Lang Dialog


; ===============
; Register A Locale for Firefox Portable Launcher
; ===============
!macro REGISTER_LAUNCHER_LOCALE localeName localeId
	!appendfile ${DIALOG_LANG_LIST} "Push ${localeId}$\n"
	!appendfile ${DIALOG_LANG_LIST} "Push $\"${localeName}$\"$\n"
!macroend
!define REGISTER_LAUNCHER_LOCALE "!insertmacro REGISTER_LAUNCHER_LOCALE"


; ===============
; Language Select Dialog Macro
; ===============
!macro SHOW_LANG_DIALOG
	Push ""
	!include "${DIALOG_LANG_LIST}"
	!delfile "${DIALOG_LANG_LIST}"
	Push A
	LangDLL::LangDialog "Installer Language" "Please select a locale for ${FULLNAME}"
	Pop $LANGUAGE
	StrCmp $LANGUAGE "cancel" 0 +2
		Abort
!macroend
!define SHOW_LANG_DIALOG "!insertmacro SHOW_LANG_DIALOG"


!endif ; INTERNATIONALIZATION